<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml" 
		xmlns:html="http://www.w3.org/1999/xhtml" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:m9ls="http://asp.mexmat.net/xmlns/m9ls">
<xsl:output method="html" indent="yes" encoding="UTF-8" />
<xsl:param name='m9ls:output' value='xhtml'/>

<xsl:template match="m9ls:menu">
<div class='m9ls-menu'>
	<xsl:apply-templates/>
</div>
</xsl:template>

<xsl:template match="m9ls:item">
<div>
	<xsl:attribute name='class'>
		<xsl:choose>
		<xsl:when test='//m9ls:data[@id="m9ls:data"]/@name = @name'>
			<xsl:text>m9ls-item-selected</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>m9ls-item</xsl:text>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<a alt='{@name}'>
	<xsl:attribute name='href'>
		<xsl:choose>
		<xsl:when test='@href'>
			<xsl:value-of select='@href'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select='concat("?a=", @name, "&amp;o=", $output)'/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<xsl:choose>
	<xsl:when test='child::node()'>
		<xsl:apply-templates />
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select='@name'/>
	</xsl:otherwise>
	</xsl:choose>
	</a>
</div>
</xsl:template>
</xsl:stylesheet>

