<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml" 
		xmlns:html="http://www.w3.org/1999/xhtml" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:m9ls="http://asp.mexmat.net/xmlns/m9ls">
<xsl:output method="html" indent="yes" encoding="UTF-8" />
<xsl:param name='m9ls:output' value='xhtml'/>

<xsl:include href='menu.xslt'/>
<xsl:include href='icecast.xslt'/>

<xsl:template match="/m9ls:root">
<html>
<xsl:comment>Generated by M9LS engine</xsl:comment>
<head>
	<link rel="stylesheet" href="css/m9ls.css" />
	<link rel="stylesheet" href="css/common.css" />
	<title><xsl:value-of select='//m9ls:data[@id="m9ls:data"]/@title'/></title>
</head>
<body>
	<xsl:apply-templates />
</body>
</html>
</xsl:template>

<xsl:template match="m9ls:data">
<div class='m9ls-body'>
	<xsl:apply-templates/>
</div>
</xsl:template>

<xsl:template match="m9ls:link">
	<a alt='{@name}'>
	<xsl:attribute name='href'>
		<xsl:choose>
		<xsl:when test='@href'>
			<xsl:value-of select='@href'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select='concat("?a=", @name, "&amp;o=", $output)'/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:attribute>
	<xsl:apply-templates/>
	</a>
</xsl:template>

<xsl:template match="*">
<xsl:copy>
	<xsl:copy-of select="@*"/>
	<xsl:apply-templates />
</xsl:copy>
</xsl:template>

<xsl:template match="text()"><xsl:copy-of select='.'/></xsl:template>

</xsl:stylesheet>
